Loading...
Searching...
No Matches
MaxFractionalMatchingDefaultTraits< GR > Struct Template Reference

## Detailed Description

template<typename GR>
struct lemon::MaxFractionalMatchingDefaultTraits< GR >

Default traits class of MaxFractionalMatching class.

Template Parameters

  GR | Graph type.

`#include <lemon/fractional_matching.h>`

## Public Types

typedef GR | Graph
| The type of the graph the algorithm runs on.
typedef Graph::template NodeMap< typename GR::Arc > | MatchingMap
| The type of the map that stores the matching.
typedef LinkedElevator< Graph, typename Graph::Node > | Elevator
| The elevator type used by MaxFractionalMatching algorithm.

## Static Public Member Functions

static MatchingMap * | createMatchingMap (const Graph &graph)
| Instantiates a MatchingMap.
static Elevator * | createElevator (const Graph &graph, int max_level)
| Instantiates an Elevator.

## Member Typedef Documentation

## MatchingMap

template<typename GR>

typedef Graph::template NodeMap<typename GR::Arc> MatchingMap

The type of the map that stores the matching arcs. It must meet the ReadWriteMap concept.

## Elevator

template<typename GR>

typedef LinkedElevator<Graph, typename Graph::Node> Elevator

The elevator type used by MaxFractionalMatching algorithm.

See also
  Elevator
  LinkedElevator

## Member Function Documentation

## createMatchingMap()

template<typename GR>

MatchingMap * createMatchingMap | ( | const Graph & | graph | ) |

inline static

This function instantiates a MatchingMap.

Parameters

  graph | The graph for which we would like to define the matching map.

## createElevator()

template<typename GR>

Elevator * createElevator | ( | const Graph & | graph,
|  | int | max_level )

inline static

This function instantiates an Elevator.

Parameters

  graph | The graph for which we would like to define the elevator.
  max_level | The maximum level of the elevator.